> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a contact



## OpenAPI

````yaml get /v1/contacts/{id}
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/contacts/{id}:
    get:
      tags:
        - v1Contacts
      summary: Retrieve a contact
      operationId: getContact
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactPublicDto'
components:
  schemas:
    ContactPublicDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          description: The contact’s full name or business name
          example: João Silva
        email:
          type: string
          description: The contact’s email address
          example: joaosilva@gmail.com
        externalId:
          type: string
        origin:
          type: string
        phone:
          type: string
          description: The contact’s phone number
          example: '5585997281648'
        location:
          type: string
        avatar:
          type: string
          description: Url of the contact image
        facebookId:
          type: string
        instagramId:
          type: string
        telegramId:
          type: string
        notes:
          type: string
          description: The contact’s notes
        isImported:
          type: boolean
        hasConversation:
          type: boolean
        newContact:
          type: boolean
        customFields:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/CustomFieldPlaceholder'
          properties: {}
          example:
            cpf:
              value: 060.715.303-54
        crmData:
          type: object
          properties:
            utmCampaigns:
              type: object
              properties: {}
              additionalProperties:
                type: object
                properties:
                  utm_campaign:
                    type: string
                  utm_source:
                    type: string
                  utm_medium:
                    type: string
                  utm_term:
                    type: string
                  utm_content:
                    type: string
                  origin:
                    type: string
            referrals:
              type: object
              properties:
                _bg:
                  type: string
                _bt:
                  type: string
                gclid:
                  type: string
                offer:
                  type: string
                utm_ad:
                  type: string
                utm_term:
                  type: string
                source_id:
                  type: string
                gad_source:
                  type: string
                media_type:
                  type: string
                source_url:
                  type: string
                utm_medium:
                  type: string
                utm_source:
                  type: string
                source_type:
                  type: string
                utm_ad_name:
                  type: string
                utm_campaign:
                  type: string
                utm_ad_collection:
                  type: string
                utm_campaign_name:
                  type: string
                utm_ad_collection_name:
                  type: string
            hubspotId:
              type: string
            zohoId:
              type: string
            zohoType:
              type: string
            cloud_api:
              type: object
              properties: {}
              additionalProperties:
                type: object
                properties:
                  stoppedMarketingTemplateByUser:
                    type: boolean
        isPrivate:
          type: boolean
          description: >-
            Private contacts can only be seen by users who have the permission
            to view private contacts
      required:
        - id
        - externalId
        - origin
        - location
        - facebookId
        - instagramId
        - telegramId
        - isImported
        - hasConversation
        - newContact
        - customFields
        - crmData
    CustomFieldPlaceholder:
      type: object
      properties:
        value:
          type: string
        type:
          type: string
      required:
        - value
        - type

````